Package org.eclipse.gef.layout.algorithms

## Class SugiyamaLayoutAlgorithm.BarycentricCrossingReducer

- java.lang.Object
- - org.eclipse.gef.layout.algorithms.SugiyamaLayoutAlgorithm.BarycentricCrossingReducer

All Implemented Interfaces:
  `SugiyamaLayoutAlgorithm.CrossingReducer`

Enclosing class:
  SugiyamaLayoutAlgorithm

    public static class SugiyamaLayoutAlgorithm.BarycentricCrossingReducer
    extends java.lang.Object
    implements SugiyamaLayoutAlgorithm.CrossingReducer

### Constructor Summary

Constructors
`BarycentricCrossingReducer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `crossReduction​(java.util.List<java.util.List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)` From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BarycentricCrossingReducer

    public BarycentricCrossingReducer()

### Method Detail

#### crossReduction

    public void crossReduction​(java.util.List<java.util.List<SugiyamaLayoutAlgorithm.NodeWrapper>> nodes)

Description copied from interface: `SugiyamaLayoutAlgorithm.CrossingReducer`
From the given nodes it creates a map of NodeLayouts and NodeWrappers which contains the layers and indexes of the nodes

Specified by:
  `crossReduction` in interface `SugiyamaLayoutAlgorithm.CrossingReducer`
Parameters:
  `nodes` - List of nodes needed to be organized